import axios from 'axios';
import Qs from 'qs'
window.$axios = axios.create({
    headers: {
        'Content-Type': 'application/json;charset=UTF-8',
        'Pragma': 'no-cache'
    },
    transformRequest: [function (data) {
        return JSON.stringify(data)
    }],
    transformResponse: [function (res) {
        $app.$Spin.hide();
        try {
            res = JSON.parse(res);
        } catch (error) {
            console.log(error);
        }
        if (res.statusCode === '401') {
            res.msg = '登录超时';
            //清除用户数据，跳到登录页面
            $channel.$emit('LoginOutEvent')
        }
        ~'-9,-8,-7'.indexOf(res.statusCode) && $app.$Modal.error({
            title: '操作提示',
            content: res.msg,
            onOk: () => {
                $channel.$emit('LoginOutEvent')
            }
        })
        
        return res;
    }]
});