let util = {

};
util.isArray = function isArray(arr) {
    if (typeof Array.isArray === 'function') {
        return Array.isArray(arr);
    }

    return toStr.call(arr) === '[object Array]';
};
util.title = function (title) {
    // title = title || 'iView admin';
    // window.document.title = title;
};


util.inOf = function (arr, targetArr) {
    let res = true;
    arr.map(item => {
        if (targetArr.indexOf(item) < 0) {
            res = false;
        }
    });
    return res;
};

util.oneOf = function (ele, targetArr) {
    if (targetArr.indexOf(ele) >= 0) {
        return true;
    } else {
        return false;
    }
};

util.showThisRoute = function (itAccess, currentAccess) {
    if (typeof itAccess === 'object' && itAccess.isArray()) {
        return util.oneOf(currentAccess, itAccess);
    } else {
        return itAccess === currentAccess;
    }
};

// util.getPathObjByName = function (vm, name) {
//     let pathObj = vm.$store.state.routers.filter((item) => {
//         if (item.children.length <= 1) {
//             return item.name === name;
//         } else {
//             let i = 0;
//             let childArr = item.children;
//             let len = childArr.length;
//             while (i < len) {
//                 if (childArr[i].name === name) {
//                     return true;
//                 }
//                 i++;
//             }
//             return false;
//         }
//     })[0];
//     return pathObj;
// };

util.routerToActionUrl = function (router) {
    let pageFlag, paramArray = [], params = router.params;
    for (let key in params) {
        paramArray.push(key + "=" + params[key]);
    }

    pageFlag = paramArray.join("&");
    return router.name + (pageFlag ? "?" + pageFlag : "");
}

util.setCurrentPath = function (vm, router) {
    let pathList = [], currentActionUrl = util.routerToActionUrl(router), name = router.name, userMenu = $store.state.userMenu;
    if (!userMenu.length) {
        let loopWatch = $store.watch(state => {
            if (state.userMenu.length) {
                util.setCurrentPath(vm, router);
                loopWatch();
            }
        })
        return;
    }

    //console.log(JSON.stringify($store.state.userMenu,null,4))
    let i = userMenu.findIndex((item) => {
        return item.actionUrl == currentActionUrl;
    })

    switch (name) {
        case 'feedback':
            pathList.unshift({
                title: '我的建议反馈',
                path: 'feedback',
                name: name
            })
            break;
    }

    if (!!~i) {
        pathList.unshift({
            title: userMenu[i].menuName,
            path: userMenu[i].actionUrl,
            name: name
        })
        util.getPathObjByName(pathList, userMenu[i].menuModuleId);
    }

    if ((name === 'home_index' && name !== $store.getters.homePage.name) || (pathList.length > 0 && pathList[pathList.length - 1].name === $store.getters.homePage.name)) {
        pathList = [$store.getters.homePage]
    } else {
        pathList.unshift($store.getters.homePage)
    }

    pathList[0].title = $getLang("common.homePage", localStorage.language);

    $store.commit('setCurrentPath', pathList);
    return pathList
};
util.getPathObjByName = function (list, menuId) {
    let i = $store.state.userMenu.findIndex((item) => {
        return item.menuId == menuId;
    })
    if (i > -1) {
        list.unshift({
            title: $store.state.userMenu[i].menuName,
            path: $store.state.userMenu[i].actionUrl,
            name: name
        })
        util.getPathObjByName(list, $store.state.userMenu[i].menuModuleId);
    }
}

util.getUrlParams = function () {
    // !!!这里不能取location.search,因为如果值里面有#那么会有截断现象，只能取href
    let searchStr = location.href.split('?')[1];
    let result = {};
    if (!searchStr) {
        return result;
    } else {
        return qs.parse(searchStr);
    }
};

util.openPage = function (vm, name, title) {
    vm.$router.push({
        name: name
    });
    let hasOpened = false;
    vm.pageTagsList.forEach((item, index) => {
        if (item.name === name) {
            hasOpened = true;
            vm.$store.commit('moveToSecond', index);
        }
    });
    if (!hasOpened) {
        vm.$store.commit('increateTag', { name: name, title: title });
    }
};

export default util;
