export default {
    QueryDimensionList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dimension/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryDimensionDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dimension/detail`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    UpdateDimension: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dimension/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    DeleteDimension: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dimension/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    AddDimension: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dimension/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },

}