export default {
    QueryEmail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/mail/server/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryEmailDetails: function ({ commit }, param) {
        return new Promise((resolve, reject) => {
            $axios.post(`${process.env.API.baseURL}/sys/mail/server/detail`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    EditEmail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/mail/server/${!!param.id ? 'update' : 'add'}`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    DeleteEmail: function ({ commit }, ids) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/mail/server/delete`, ids).then((response) => {
                resolve(response.data);
            })
        })
    },
    SendEmail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/mail/server/send/test`, param).then((response) => {
                resolve(response.data);
            })
        })
    }
}