import axios from 'axios'
export default {
    QueryLogFilesList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/audit/log/file/list`, param).then((response) => {

                resolve(response.data);
            }).catch((error) => {
                console.log(error)
                var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
                resolve(responseData);
            })
        })
    },
    LogMgQueryOperateLogList: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/operation/log/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    }
}