export default {
    QueryJVM: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/jmx/jvm/sys`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryOs: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/jmx/jvm/os/${param}/`).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryThread: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/jmx/memory/thread/${param}/`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    QueryClass: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/jmx/class/loading/${param}/`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetValues: function ({ commit }, param) {
        return new Promise((resolve) => {

            $axios.post(`${process.env.API.baseURL}/sys/dict/queryByDictCode`, param).then((response) => {
                console.log(response.data);
                resolve(response.data);
            })
        })
    },
    SetValues: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/dict/item/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    }
}