import UserZh from './userManage/zh.json'
import UserEn from './userManage/en.json'
import ValueSetZh from './valueSet/zh.json'
import ValueSetEn from './valueSet/en.json'
import MenuZh from './menu/zh.json'
import MenuEn from './menu/en.json'
import RoleZh from './role/zh.json'
import RoleEn from './role/en.json'
import DimensionZh from './dimension/zh.json'
import DimensionEn from './dimension/en.json'
import FlexFieldZh from './flexField/zh.json'
import FlexFieldEn from './flexField/en.json'
import DatasourceZh from './datasource/zh.json'
import DatasourceEn from './datasource/en.json'
import FeedbackZh from './feedback/zh.json'
import FeedbackEn from './feedback/en.json'
import MenuTemplateZh from './menuTemplate/zh.json'
import MenuTemplateEn from './menuTemplate/en.json'
import ResourceMonitorZh from './resourceMonitor/zh.json'
import ResourceMonitorEn from './resourceMonitor/en.json'
import DistributedTaskZh from './distributedTask/zh.json'
import DistributedTaskEn from './distributedTask/en.json'
import EmailConfigZh from './emailConfig/zh.json'
import EmailConfigEn from './emailConfig/en.json'
import OperateLogZh from './operateLog/zh.json'
import OperateLogEn from './operateLog/en.json'
import GroupManageZh from './groupManage/zh.json'
import GroupManageEn from './groupManage/en.json'
import UserSessionZh from './userSession/zh.json'
import UserSessionEn from './userSession/en.json'
import ResourceManageZh from './resourceManage/zh.json'
import ResourceManageEn from './resourceManage/en.json'
import OrgManageZh from './orgManage/zh.json'
import OrgManageEn from './orgManage/en.json'
import ChooseOrgZh from './chooseOrg/zh.json'
import ChooseOrgEn from './chooseOrg/en.json'
import LoginZh from './login/zh.json'
import LoginEn from './login/en.json'
import MainZh from './main/zh.json'
import MainEn from './main/en.json'
import OwnSpaceZh from './ownSpace/zh.json'
import OwnSpaceEn from './ownSpace/en.json'
import SystemNoticeZh from './systemNotice/zh.json'
import SystemNoticeEn from './systemNotice/en.json'
import configManageZh from './configManage/zh.json'
import configManageEn from './configManage/en.json'
import receiptSequenceZh from './receiptSequence/zh.json'
import receiptSequenceEn from './receiptSequence/en.json'
import logQueryZh from './logQuery/zh.json'
import logQueryEn from './logQuery/en.json'
import sendMessageZh from './sendMessage/zh.json'
import sendMessageEn from './sendMessage/en.json'

export default{
    zh:{
        userManage:UserZh,
        valueSet: ValueSetZh,
        role: RoleZh,
        dimension: DimensionZh,
        menu: MenuZh,
        flexField: FlexFieldZh,
        datasource: DatasourceZh,
        feedback: FeedbackZh,
        menuTemplate: MenuTemplateZh,
        resourceMonitor: ResourceMonitorZh,
        distributedTask: DistributedTaskZh,
        emailConfig: EmailConfigZh,
        operateLog: OperateLogZh,
        groupManage: GroupManageZh,
        userSession: UserSessionZh,
        resourceManage: ResourceManageZh,
        orgManage: OrgManageZh,
        chooseOrg: ChooseOrgZh,
        login: LoginZh,
        main: MainZh,
        ownSpace: OwnSpaceZh,
        systemNotice: SystemNoticeZh,
        configManage: configManageZh,
        receiptSequence: receiptSequenceZh,
        logQuery: logQueryZh,
        sendMessage: sendMessageZh,
    },
    en:{
        userManage:UserEn,
        valueSet: ValueSetEn,
        role: RoleEn,
        dimension: DimensionEn,
        menu: MenuEn,
        flexField: FlexFieldEn,
        datasource: DatasourceEn,
        feedback: FeedbackEn,
        menuTemplate: MenuTemplateEn,
        resourceMonitor: ResourceMonitorEn,
        emailConfig: EmailConfigEn,
        operateLog: OperateLogEn,
        groupManage: GroupManageEn,
        userSession: UserSessionEn,
        resourceManage: ResourceManageEn,
        orgManage: OrgManageEn,
        chooseOrg: ChooseOrgEn,
        login: LoginEn,
        main: MainEn,
        ownSpace: OwnSpaceEn,
        distributedTask: DistributedTaskEn,  
        systemNotice: SystemNoticeEn,      
        configManage: configManageEn,        
        receiptSequence: receiptSequenceEn,        
        logQuery: logQueryEn,        
        sendMessage: sendMessageEn,        
    }
}