import Vue from 'vue'
import Vuex from 'vuex'

import { vuexModules, rootModules } from './export.index.js';

Vue.use(Vuex)

export default new Vuex.Store({
    state: rootModules.state,
    actions: rootModules.actions,
    mutations: rootModules.mutations,
    getters: rootModules.getters,
    modules: vuexModules
})