export default {
    // 分页查询系统配置
    QueryConfigList: function ({ commit }, param) {
        return new Promise((resolve) => {
            // $axios.post(`${process.env.API.baseURL}/sys/config/list/page`, param).then((response) => {
            $axios.post(`${process.env.API.baseURL}/ripplesConfig/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },

    // 新增、修改系统配置
    saveOrUpdateConfig: function ({ commit }, param) {
        return new Promise((resolve) => {
            // $axios.post(`${process.env.API.baseURL}/sys/config/save`, param).then((response) => {
            $axios.post(`${process.env.API.baseURL}/ripplesConfig/saveOrUpdate`, param).then((response) => {
                resolve(response.data);
            })
        })
    },

    // 删除系统配置
    DeleteConfig: function ({ commit }, param) {
        return new Promise((resolve) => {
            // $axios.post(`${process.env.API.baseURL}/sys/config/delete/${param.id}/${param.version}`).then((response) => {
            $axios.post(`${process.env.API.baseURL}/ripplesConfig/delete/${param.id}`).then((response) => {
                resolve(response.data);
            })
        })
    },

    // 分页查询系统配置配置项
    SearchConfigGroupItems: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/ripplesConfig/item/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },

    // 新增、编辑系统配置配置项
    SaveOrUpdateConfigGroupItem: function ({ commit }, param) {
        return new Promise((resolve) => {
            // $axios.post(`${process.env.API.baseURL}/sys/config/save`, param).then((response) => {
            $axios.post(`${process.env.API.baseURL}/ripplesConfig/item/saveOrUpdate`, param).then((response) => {
                resolve(response.data);
            })
        })
    },

    // 删除系统配置配置项
    DeleteConfigItem: function ({ commit }, param) {
        return new Promise((resolve) => {
            // $axios.post(`${process.env.API.baseURL}/sys/config/delete/${param.id}/${param.version}`).then((response) => {
            $axios.post(`${process.env.API.baseURL}/ripplesConfig/item/delete/${param.id}`).then((response) => {
                resolve(response.data);
            })
        })
    },
}