export default {
  AddFeedback: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/feedback/add`, param).then((response) => {
        resolve({
          success: response.data.statusCode == '0',
          msg: response.data.msg
        });
      })
    })
  },
  GetFeedbackMy: function ({ commit }) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/feedback/myList`).then((response) => {
        resolve(response.data.dataResult);
      })
    })
  },
  FeedbackReply: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/feedback/reply`, param).then((response) => {
        resolve({
          success: response.data.statusCode == '0',
          msg: response.data.msg
        });
      })
    })
  },
  GetFeedbackAll: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/feedback/list`, param).then((response) => {
        resolve(response.data.dataResult);
      })
    })
  },
  GetFeedbackDetail: function ({ commit }, param) {
    return new Promise((resolve) => {
      $axios.post(`${process.env.API.baseURL}/sys/feedback/detail`, param).then((response) => {
        resolve(response.data.dataResult);
      })
    })
  }
}