export default {
    QueryFlexField: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexField/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    AddFlexField: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexField/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateFlexField: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexField/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    DeleteFlexField: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexField/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetFlexFieldDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexField/detail`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryFlexFieldElement: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    AddFlexFieldElement: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateFlexFieldElement: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    DeleteFlexFieldElement: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetFlexFieldElementDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/detail`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryFlexFieldAttribute: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/attribute/list/page`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    AddFlexFieldAttribute: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/attribute/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    UpdateFlexFieldAttribute: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/attribute/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    DeleteFlexFieldAttribute: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/attribute/delete`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    GetFlexFieldAttributeDetail: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/flexFieldElement/attribute/detail`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
}