export default {
    QueryLogList: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/auditlog/querypage`, param).then((response) => {
                resolve(response.data.dataResult);
            }).catch((error) => {
                console.log(error)
                var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
                resolve(responseData);
            })
        })
    },
    QueryListById: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/auditlog/queryrecord/${param.logId}`, param).then((response) => {
                let recordList = [];
                for(let item of response.data.dataResult)
                    recordList.push(item)
                resolve({ recordList });
            })
        })
    }
}