export default {
    GetRoles: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/nav/info`).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    QueryLanguages: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.get(`${process.env.API.baseURL}/sys/lang/list`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    },
    GetCurrentLangAndRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/setting/get`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    SetLangAndRole: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/setting/add`, param).then((response) => {
                console.log(response.data);
                resolve(response.data);
            })
        })
    },
}