export default {
    MenuResouceQueryList: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/button/list/page`, param).then((response) => {

                resolve(response.data.dataResult);
            })
        })
    },
    MenuResouceAddResource: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/button/add`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                console.log(error)
                var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
                resolve(responseData);
            })
        })
    },
    MenuResouceUpdateResource: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/button/update`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                console.log(error)
                var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
                resolve(responseData);
            })
        })
    },
    MenuResouceDeleteResource: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/button/delete?btnIds=${param.btnIds}`).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                console.log(error)
                var responseData = { "dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }
}