export default {
    QueryUserSession: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/user/online/list`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                console.log(error)
                var responseData = { "dataResult": [], "extra": "", "msg": "网络异常，请联系管理员", "statusCode": "-1" };
                resolve(responseData);
            })
        })
    },
    DeleteUserSession: function ({ commit }, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/user/online/purge`, param).then((response) => {
                resolve(response.data.dataResult);
            })
        })
    }
}