export default {
    QueryTaskList: function ({ commit }) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/list`).then((response) => {
                resolve(response.data);
            })
        })
    },
    AddTask: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/add`, param).then((response) => {
                resolve(response.data);
            })
        })
    },
    EditTask: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/update`, param).then((response) => {
                resolve(response.data);
            })
        })
    },

    GetTaskClasses: function ({ commit }, param) {

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/get/taskClasses`, param).then((response) => {

                /* var dd = [{
                     key: 'com.crc.mam.admin.quartz.job.TestJob',
                     value: '测试Job'
                 }, {
                     key: 'com.crc.mam.admin.quartz.job.oneLevel.OneClass',
                     value: '第一级JOB'
                 }, {
                     key: 'com.crc.mam.admin.quartz.job.oneLevel.twoLevel.TwoClass',
                     value: '第二级JOB'
                 }];*/
                resolve(response.data);
                //                resolve(dd);
            })
        })
    },
    SYS_Schedule_PauseTask: function ({ commit }, param) {
        //暂停任务

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/pause?jobName=${param.jobName}&groupName=${param.groupName}`).then((response) => {

                resolve(response.data);
            })
        })
    },
    SYS_Schedule_ResumeTask: function ({ commit }, param) {
        //恢复任务

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/resume?jobName=${param.jobName}&groupName=${param.groupName}`).then((response) => {

                resolve(response.data);
            })
        })
    },
    SYS_Schedule_JobRunOnce: function ({ commit }, param) {
        //恢复任务

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/job/run/once?jobName=${param.jobName}&groupName=${param.groupName}`).then((response) => {

                resolve(response.data);
            })
        })
    },
    SYS_Schedule_DeleteTask: function ({ commit }, param) {
        //恢复任务

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/delete?jobName=${param.jobName}&groupName=${param.groupName}`).then((response) => {

                resolve(response.data);
            })
        })
    },
    SYS_Schedule_GetTaskDetail: function ({ commit }, param) {
        //恢复任务

        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/schedule/detail?jobName=${param.jobName}&groupName=${param.groupName}&triggerName=${param.triggerName}`).then((response) => {

                resolve(response.data);
            })
        })
    },
}